List an animal's exam forms
Newest first, each with what it wrote. Needs read on Animals.
GET
https://{organization}.rescueconsole.com
/
api
/
animals
/
animals
/
{id}
/
exam-forms
List an animal's exam forms
curl --request GET \
--url https://{organization}.rescueconsole.com/api/animals/animals/{id}/exam-forms \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/animals/{id}/exam-forms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/animals/{id}/exam-forms"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"results": [
{
"id": "<string>",
"form_id": "<string>",
"form_name": "<string>",
"filled_on": "2023-12-25",
"written": [
{
"kind": "weight",
"id": "<string>"
}
],
"filled_by_person_id": "<string>",
"filled_by_name": "<string>"
}
]
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}⌘I
List an animal's exam forms
curl --request GET \
--url https://{organization}.rescueconsole.com/api/animals/animals/{id}/exam-forms \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/animals/{id}/exam-forms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/animals/{id}/exam-forms"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"results": [
{
"id": "<string>",
"form_id": "<string>",
"form_name": "<string>",
"filled_on": "2023-12-25",
"written": [
{
"kind": "weight",
"id": "<string>"
}
],
"filled_by_person_id": "<string>",
"filled_by_name": "<string>"
}
]
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}
